# https://EditorConfig.org
root = true

[*]
charset = utf-8
end_of_line = lf
insert_final_newline = true
trim_trailing_whitespace = true

[*.{py,rst,ini,html,css,scss,json,yml}]
indent_style = space

[*.{py,rst,ini}]
indent_size = 4

[*.py]
line_length = 88
known_first_party = idp-backend
multi_line_output = 3
default_section = THIRDPARTY

[*.{html,css,scss,json}]
indent_size = 4

[*.{yaml,yml}]
indent_size = 2

[*.md]
trim_trailing_whitespace = false

[Makefile]
indent_style = tab
